Package org.jbpm.casemgmt.api.utils

## Interface CaseServiceConfigurator

- All Known Implementing Classes:
    `DefaultCaseServiceConfigurator`

      public interface CaseServiceConfigurator

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `void` | `configureServices​(String puName, org.kie.internal.identity.IdentityProvider identityProvider)` |
    `DeploymentUnit` | `createDeploymentUnit​(String groupId, String artifactid, String version)` |
    `AdvanceCaseRuntimeDataService` | `getAdvancedCaseRuntimeDataService()` |
    `AuthorizationManager` | `getAuthorizationManager()` |
    `DefinitionService` | `getBpmn2Service()` |
    `CaseIdGenerator` | `getCaseIdGenerator()` |
    `CaseInstanceMigrationService` | `getCaseInstanceMigrationService()` |
    `CaseRuntimeDataService` | `getCaseRuntimeDataService()` |
    `CaseService` | `getCaseService()` |
    `DeploymentService` | `getDeploymentService()` |
    `org.kie.internal.identity.IdentityProvider` | `getIdentityProvider()` |
    `ProcessInstanceMigrationService` | `getMigrationService()` |
    `ProcessService` | `getProcessService()` |
    `QueryService` | `getQueryService()` |
    `RuntimeDataService` | `getRuntimeDataService()` |
    `UserTaskService` | `getUserTaskService()` |

- - ### Method Detail

    - #### configureServices

          void configureServices​(String puName,
                                 org.kie.internal.identity.IdentityProvider identityProvider)

    - #### createDeploymentUnit

          DeploymentUnit createDeploymentUnit​(String groupId,
                                              String artifactid,
                                              String version)

    - #### close

          void close()

    - #### getDeploymentService

          DeploymentService getDeploymentService()

    - #### getBpmn2Service

          DefinitionService getBpmn2Service()

    - #### getRuntimeDataService

          RuntimeDataService getRuntimeDataService()

    - #### getProcessService

          ProcessService getProcessService()

    - #### getUserTaskService

          UserTaskService getUserTaskService()

    - #### getQueryService

          QueryService getQueryService()

    - #### getCaseRuntimeDataService

          CaseRuntimeDataService getCaseRuntimeDataService()

    - #### getCaseService

          CaseService getCaseService()

    - #### getCaseInstanceMigrationService

          CaseInstanceMigrationService getCaseInstanceMigrationService()

    - #### getMigrationService

          ProcessInstanceMigrationService getMigrationService()

    - #### getIdentityProvider

          org.kie.internal.identity.IdentityProvider getIdentityProvider()

    - #### getCaseIdGenerator

          CaseIdGenerator getCaseIdGenerator()

    - #### getAuthorizationManager

          AuthorizationManager getAuthorizationManager()

    - #### getAdvancedCaseRuntimeDataService

          AdvanceCaseRuntimeDataService getAdvancedCaseRuntimeDataService()